メインコンテンツへスキップ
POST
/
v1
/
customers
/
payment-methods
/
{id}
/
block
決済方法をブロック
curl --request POST \
  --url https://api.sandbox.zafapay.com/v1/customers/payment-methods/{id}/block \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "不正利用の疑い"
}
'
import requests

url = "https://api.sandbox.zafapay.com/v1/customers/payment-methods/{id}/block"

payload = { "reason": "不正利用の疑い" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reason: '不正利用の疑い'})
};

fetch('https://api.sandbox.zafapay.com/v1/customers/payment-methods/{id}/block', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "pmi_abc123",
  "status": "blocked",
  "blocked_reason": "不正利用の疑い",
  "updated_at": "2024-01-15T10:35:00Z"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "validation_error",
    "message": "Invalid request parameters",
    "param": "amount",
    "details": [
      {
        "path": [
          "<string>"
        ],
        "message": "<string>"
      }
    ],
    "request_id": "req_abc123xyz789"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "validation_error",
    "message": "Invalid request parameters",
    "param": "amount",
    "details": [
      {
        "path": [
          "<string>"
        ],
        "message": "<string>"
      }
    ],
    "request_id": "req_abc123xyz789"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "validation_error",
    "message": "Invalid request parameters",
    "param": "amount",
    "details": [
      {
        "path": [
          "<string>"
        ],
        "message": "<string>"
      }
    ],
    "request_id": "req_abc123xyz789"
  }
}

承認

Authorization
string
header
必須

アクセストークンを使用したBearer認証

パスパラメータ

id
string
必須

決済方法ID

:

"pmi_abc123"

ボディ

application/json
reason
string
必須

ブロック理由

:

"不正利用の疑い"

レスポンス

ブロック成功

id
string

決済方法ID

:

"pmi_abc123"

status
string

新しいステータス

:

"blocked"

blocked_reason
string

ブロック理由

:

"不正利用の疑い"

updated_at
string<date-time>

更新日時

:

"2024-01-15T10:35:00Z"